# Uses of Class
java.awt.JobAttributes.DefaultSelectionType

Packages that use JobAttributes.DefaultSelectionType
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.

## Uses of JobAttributes.DefaultSelectionType in java.awt

Fields in java.awt declared as JobAttributes.DefaultSelectionType
Modifier and Type
Field
Description
`static final JobAttributes.DefaultSelectionType`
JobAttributes.DefaultSelectionType.`ALL`
The `DefaultSelectionType` instance to use for specifying that all pages of the job should be printed.
`static final JobAttributes.DefaultSelectionType`
JobAttributes.DefaultSelectionType.`RANGE`
The `DefaultSelectionType` instance to use for specifying that a range of pages of the job should be printed.
`static final JobAttributes.DefaultSelectionType`
JobAttributes.DefaultSelectionType.`SELECTION`
The `DefaultSelectionType` instance to use for specifying that the current selection should be printed.
Methods in java.awt that return JobAttributes.DefaultSelectionType
Modifier and Type
Method
Description
`JobAttributes.DefaultSelectionType`
JobAttributes.`getDefaultSelection()`
Specifies whether, for jobs using these attributes, the application should print all pages, the range specified by the return value of `getPageRanges`, or the current selection.
Methods in java.awt with parameters of type JobAttributes.DefaultSelectionType
Modifier and Type
Method
Description
`void`
JobAttributes.`setDefaultSelection(JobAttributes.DefaultSelectionType defaultSelection)`
Specifies whether, for jobs using these attributes, the application should print all pages, the range specified by the return value of `getPageRanges`, or the current selection.
Constructors in java.awt with parameters of type JobAttributes.DefaultSelectionType
Modifier
Constructor
Description
``
`JobAttributes(int copies, JobAttributes.DefaultSelectionType defaultSelection, JobAttributes.DestinationType destination, JobAttributes.DialogType dialog, String fileName, int maxPage, int minPage, JobAttributes.MultipleDocumentHandlingType multipleDocumentHandling, int[][] pageRanges, String printer, JobAttributes.SidesType sides)`
Constructs a `JobAttributes` instance with the specified values for every attribute.